"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountablePerson = void 0;
const react_1 = require("react");
const AccountablePerson = {
    Person: ({ as = 'div', children, ...props }) => {
        return (0, react_1.createElement)(as, {
            itemProp: "accountablePerson",
            itemScope: true,
            itemType: "https://schema.org/Person",
            ...props,
        }, children);
    }
};
exports.AccountablePerson = AccountablePerson;
