"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audio = void 0;
const react_1 = require("react");
const Audio = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'audio',
        ...props,
    }, children);
};
exports.Audio = Audio;
Audio.AudioObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "audio",
        itemScope: true,
        itemType: "https://schema.org/AudioObject",
        ...props
    }, children);
};
Audio.MusicRecording = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "audio",
        itemScope: true,
        itemType: "https://schema.org/MusicRecording",
        ...props
    }, children);
};
Audio.Clip = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "audio",
        itemScope: true,
        itemType: "https://schema.org/Clip",
        ...props
    }, children);
};
