"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Citation = void 0;
const react_1 = require("react");
const Citation = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'citation',
        ...props,
    }, children);
};
exports.Citation = Citation;
Citation.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "citation",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
