"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Identifier = void 0;
const react_1 = require("react");
const Identifier = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'identifier',
        ...props,
    }, children);
};
exports.Identifier = Identifier;
Identifier.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "identifier",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Identifier.PropertyValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "identifier",
        itemScope: true,
        itemType: "https://schema.org/PropertyValue",
        ...props
    }, children);
};
