"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const react_1 = require("react");
const Image = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'image',
        ...props,
    }, children);
};
exports.Image = Image;
Image.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "image",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Image.ImageObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "image",
        itemScope: true,
        itemType: "https://schema.org/ImageObject",
        ...props
    }, children);
};
