import { FC, HTMLAttributes, HTMLProps } from "react";
declare type Type = FC<HTMLProps<HTMLAttributes<any>> & {
    as?: string;
}>;
declare const IsBasedOn: Type & {
    CreativeWork: Type;
    URL: Type;
    Product: Type;
};
export { IsBasedOn };
