"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.License = void 0;
const react_1 = require("react");
const License = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'license',
        ...props,
    }, children);
};
exports.License = License;
License.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "license",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
License.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "license",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
