"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NegativeNotes = void 0;
const react_1 = require("react");
const NegativeNotes = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'negativeNotes',
        ...props,
    }, children);
};
exports.NegativeNotes = NegativeNotes;
NegativeNotes.ListItem = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "negativeNotes",
        itemScope: true,
        itemType: "https://schema.org/ListItem",
        ...props
    }, children);
};
NegativeNotes.WebContent = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "negativeNotes",
        itemScope: true,
        itemType: "https://schema.org/WebContent",
        ...props
    }, children);
};
NegativeNotes.ItemList = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "negativeNotes",
        itemScope: true,
        itemType: "https://schema.org/ItemList",
        ...props
    }, children);
};
