"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Offers = void 0;
const react_1 = require("react");
const Offers = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'offers',
        ...props,
    }, children);
};
exports.Offers = Offers;
Offers.Offer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "offers",
        itemScope: true,
        itemType: "https://schema.org/Offer",
        ...props
    }, children);
};
Offers.Demand = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "offers",
        itemScope: true,
        itemType: "https://schema.org/Demand",
        ...props
    }, children);
};
