"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Publisher = void 0;
const react_1 = require("react");
const Publisher = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'publisher',
        ...props,
    }, children);
};
exports.Publisher = Publisher;
Publisher.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publisher",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Publisher.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publisher",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
