"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaVersion = void 0;
const react_1 = require("react");
const SchemaVersion = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'schemaVersion',
        ...props,
    }, children);
};
exports.SchemaVersion = SchemaVersion;
SchemaVersion.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "schemaVersion",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
