"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sponsor = void 0;
const react_1 = require("react");
const Sponsor = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'sponsor',
        ...props,
    }, children);
};
exports.Sponsor = Sponsor;
Sponsor.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sponsor",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Sponsor.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "sponsor",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
