"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubjectOf = void 0;
const react_1 = require("react");
const SubjectOf = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'subjectOf',
        ...props,
    }, children);
};
exports.SubjectOf = SubjectOf;
SubjectOf.Event = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subjectOf",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props
    }, children);
};
SubjectOf.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subjectOf",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
