"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Translator = void 0;
const react_1 = require("react");
const Translator = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'translator',
        ...props,
    }, children);
};
exports.Translator = Translator;
Translator.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "translator",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Translator.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "translator",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
