"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsageInfo = void 0;
const react_1 = require("react");
const UsageInfo = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'usageInfo',
        ...props,
    }, children);
};
exports.UsageInfo = UsageInfo;
UsageInfo.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usageInfo",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
UsageInfo.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "usageInfo",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
