"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Video = void 0;
const react_1 = require("react");
const Video = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'video',
        ...props,
    }, children);
};
exports.Video = Video;
Video.Clip = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "video",
        itemScope: true,
        itemType: "https://schema.org/Clip",
        ...props
    }, children);
};
Video.VideoObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "video",
        itemScope: true,
        itemType: "https://schema.org/VideoObject",
        ...props
    }, children);
};
