"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArchivedAt = void 0;
const react_1 = require("react");
const ArchivedAt = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'archivedAt',
        ...props,
    }, children);
};
exports.ArchivedAt = ArchivedAt;
ArchivedAt.WebPage = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "archivedAt",
        itemScope: true,
        itemType: "https://schema.org/WebPage",
        ...props
    }, children);
};
ArchivedAt.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "archivedAt",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
