"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Creator = void 0;
const react_1 = require("react");
const Creator = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'creator',
        ...props,
    }, children);
};
exports.Creator = Creator;
Creator.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "creator",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Creator.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "creator",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
