"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsPartOf = void 0;
const react_1 = require("react");
const IsPartOf = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'isPartOf',
        ...props,
    }, children);
};
exports.IsPartOf = IsPartOf;
IsPartOf.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "isPartOf",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
IsPartOf.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "isPartOf",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
