"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Maintainer = void 0;
const react_1 = require("react");
const Maintainer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'maintainer',
        ...props,
    }, children);
};
exports.Maintainer = Maintainer;
Maintainer.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "maintainer",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Maintainer.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "maintainer",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
