"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositiveNotes = void 0;
const react_1 = require("react");
const PositiveNotes = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'positiveNotes',
        ...props,
    }, children);
};
exports.PositiveNotes = PositiveNotes;
PositiveNotes.WebContent = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "positiveNotes",
        itemScope: true,
        itemType: "https://schema.org/WebContent",
        ...props
    }, children);
};
PositiveNotes.ListItem = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "positiveNotes",
        itemScope: true,
        itemType: "https://schema.org/ListItem",
        ...props
    }, children);
};
PositiveNotes.ItemList = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "positiveNotes",
        itemScope: true,
        itemType: "https://schema.org/ItemList",
        ...props
    }, children);
};
